%define major   3
%define libname %mklibname lur %{major}
%define devname %mklibname lur -d

Name:           ratbagd
Version:        0.18
Release:        %mkrel 1
Summary:        A DBus daemon to configure input devices, mainly gaming mice
Group:          System/Configuration
License:        MIT

URL:            https://github.com/libratbag/libratbag
Source0:        https://github.com/libratbag/libratbag/archive/v%{version}/libratbag-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  swig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  unistring-devel
BuildRequires:  python3-evdev
BuildRequires:  pkgconfig(python3)

#needed for testsuite
BuildRequires:  valgrind
BuildRequires:  pkgconfig(check)
BuildRequires:  python3-lxml
BuildRequires:  python3-gobject

Requires:       python3-evdev
Requires:       python3-argparse
Requires:       python3-gobject

#GUI for configuration
Recommends:     piper >= 0.8

%description
Ratbagd is a DBus daemon which allow access to the various
features exposed by mainly gaming mice such as profiles, LED, resolution,
extra buttons, etc.

It abstracts away hardware-specific and kernel-specific quirks.

Ratbagd currently supports devices from:
  - Logitech
  - Etekcity
  - GSkill
  - Roccat
  - Steelseries

See the device files or the wiki page for a complete list of supported devices:
https://github.com/libratbag/libratbag/wiki/Devices

Users interact through a GUI like Piper. For developers, the ratbagctl tool is
the prime tool for debugging.

%package -n %{libname}
Summary:        Logitech Unifying Receiver configuration library
Group:          System/Libraries
Conflicts:      %{name} < 0.16-2

%description -n %{libname}
Logitech Unifying Receiver configuration library.

%package -n %{devname}
Summary:        Development headers for Logitech Unifying Receiver configuration library
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       liblur-devel = %{version}-%{release}
Conflicts:      %{name} < 0.16-2

%description -n %{devname}
Development headers and libraries for Logitech Unifying Receiver configuration library.

%prep
%setup -q -n libratbag-%{version}

%build
%meson \
  -Dsystemd-unit-dir=%{_unitdir}
%meson_build

%check
%meson_test

%install
%meson_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%{_bindir}/lur-command
%{_bindir}/ratbagctl
%{_sbindir}/ratbagd
%{_datadir}/dbus-1/system-services/org.freedesktop.ratbag1.service
%{_datadir}/dbus-1/system.d/org.freedesktop.ratbag1.conf
%{_datadir}/libratbag/
%{_mandir}/man?/*
%{_unitdir}/%{name}.service

%files -n %{libname}
%{_libdir}/liblur.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/liblur.h
%{_libdir}/pkgconfig/liblur.pc
%{_libdir}/liblur.so


%changelog
* Thu Sep 26 2024 julien <julien> 0.18-1.mga10
+ Revision: 2101404
- new version 0.18
- use proper macros for post and preun
- fix tab/space inconsistency

* Thu Jan 12 2023 daviddavid <daviddavid> 0.17-3.mga9
+ Revision: 1932568
- rebuild for armv7

* Thu Jan 12 2023 daviddavid <daviddavid> 0.17-2.mga9
+ Revision: 1932560
- rebuild for new libunistring 1.1

* Fri Nov 11 2022 julien <julien> 0.17-1.mga9
+ Revision: 1905659
- new version 0.17

* Sat Apr 02 2022 umeabot <umeabot> 0.16-4.mga9
+ Revision: 1840410
- Mageia 9 Mass Rebuild
+ wally <wally>
- require python3-gobject

* Fri Jun 25 2021 wally <wally> 0.16-3.mga9
+ Revision: 1732234
- require python3-argparse
- require python3-evdev

* Fri Jun 25 2021 wally <wally> 0.16-2.mga9
+ Revision: 1732225
- provide library and devel pkgs

* Thu Jun 24 2021 julien <julien> 0.16-1.mga9
+ Revision: 1732155
- new version 0.16

* Fri Sep 25 2020 julien <julien> 0.15-1.mga8
+ Revision: 1630158
- new version 0.15

* Tue May 19 2020 julien <julien> 0.14-1.mga8
+ Revision: 1586236
- new version 0.14

* Fri Apr 10 2020 julien <julien> 0.13-2.mga8
+ Revision: 1566225
- recommends piper for GUI configuration

* Fri Apr 10 2020 julien <julien> 0.13-1.mga8
+ Revision: 1566199
- import ratbagd, a dbus daemon to configure gaming mice
- Created package structure for ratbagd.

